#ifndef VY_GFX_BACKEND_H
#define VY_GFX_BACKEND_H

/* Backend functions and types. */

#include <stddef.h>

#include "gfx.h"

typedef struct {
    const char *compute_source;
    size_t compute_source_length;
} vy_compute_pipeline_info;

typedef struct {
    const char *vertex_source;
    size_t vertex_source_length;

    const char *fragment_source;
    size_t fragment_source_length;
} vy_graphics_pipeline_info;

vy_gfx_pipeline_id
vyCompileComputePipeline(const vy_compute_pipeline_info *info);

vy_gfx_pipeline_id
vyCompileGraphicsPipeline(const vy_graphics_pipeline_info *info);

#endif
