#include <glad/glad.h>

#include "gfx.h"

/* Attributes are used to bind buffers (or textures) to symbolic values.
 * For example, an attribute might be bound to "CELL_GRID", which would be
 * replaced with the (at the time of the invoke) grid buffer of the current
 * world cell.
 */

bool vyLoadShaders(const char **paths, vy_shader *shaders, unsigned int count);

bool vyInitRenderer(void) {
    /* Init shader programs */
    const char *shader_files[] = {"shader/cell.shader"};
    vy_shader shaders[1];
    if (!vyLoadShaders(shader_files, shaders, 1))
        return false;
    return true;
}

void vyShutdownRenderer(void) {
}
